#include "main.h"

__IO uint32_t TimingDelay;
volatile int flag = 0;


void Delay(__IO uint32_t nTime)
{ 
  TimingDelay = nTime;
  while(TimingDelay);
}

int main(void)
{
  /* Initialize Leds mounted on STM32F4-Discovery board */
  STM_EVAL_LEDInit(LED3);
  STM_EVAL_LEDInit(LED4);
  STM_EVAL_LEDInit(LED5);
  STM_EVAL_LEDInit(LED6);


  if (SysTick_Config(SystemCoreClock / 1000))
  { 
    while (1);/* Capture error */
  }
  
  
  /* Initialize LCD mounted on STM32F4-Discovery board */
  LCD_Init();
  LCD_WriteString(1,"0123456789ABCDEF");
  LCD_WriteString(2,"FEDCBA9876543210");
  
  while (1)
  {
  }
}

#ifdef  USE_FULL_ASSERT
void assert_failed(uint8_t* file, uint32_t line)
{ 
  while (1);
}
#endif
